package com.sxtvs.open.api.odata.service;

import com.fasterxml.jackson.databind.ObjectMapper;
import com.sxtvs.open.api.youmei.service.YoumeiAccountServiceImpl;
import lombok.SneakyThrows;
import org.apache.hc.client5.http.fluent.Request;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.nio.charset.StandardCharsets;

@Service
public class OauthService {
    @Autowired
    private YoumeiAccountServiceImpl youmeiAccountService;

    @Autowired
    private ObjectMapper objectMapper;

    @SneakyThrows
    public String getWeiboUrl() {
        var accessToken = youmeiAccountService.getSxgdAccount().getAccessToken();
        var body = Request.get("https://api-open.51wyq.cn/dataapp/api/umei/fw/open/network_group/get_auth_url?accessToken=" + accessToken)
                .execute()
                .returnContent()
                .asString(StandardCharsets.UTF_8);
        String url = objectMapper.readTree(body).get("data").get("auth_url").asText();
        return "redirect:" + url;
    }
}
